import { useCountryInfoStore } from '/@/stores/countryInfo';


const countryInfoStore = useCountryInfoStore();

export const productColumns: any = [
  { type: 'checkbox', width: 50, align: 'center', fixed: 'left' },
  { type: 'seq', title: 'No.', width: 60, align: 'center' },
  {
    field: 'is_monitor', title: '监控管理', width: 90, align: 'center',
    slots: { default: 'is_monitor' }
  },
  {
    field: 'product_info', title: '商品信息', minWidth: 'auto', align: 'center',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU',  minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.sku ? row.sku : '--' }</span>;
      }
    }
  },
  {
    field: 'country_code', title: '国 家',  minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.code === row.country_code);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round
                       style={ { color: color, borderColor: color } }>{ country ? country.name : '--' }</el-tag>;
      }
    }
  },
  {
    field: 'platform_number', title: '平台编号',  minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.platform_number ? row.platform_number : '--' }</span>;
      }
    }
  },
  {
    field: 'shop_name', title: '店 铺', minWidth: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组',  minWidth: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'brand', title: '品 牌',  minWidth: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'price_info', title: '价 格',  minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.price_info ? row.price_info : '--' }</span>;
      }
    }
  },
  {
    field: 'show_price', title: '展示价格',  minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.show_price ? row.show_price : '--' }</span>;
      }
    }
  },
  {
    field: 'operate', title: '操 作', width: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];
